package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcAccountingUnifiedSupplierEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcAccountingUnifiedSupplierEntityExample;
import cn.superdesk.uniorder.dto.param.accounting.qchjc.QchjcSupplierAccountingListRequest;
import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.accounting.QchjcAccountingUnifiedSupplierVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcAccountingUnifiedSupplierEntityMapper {
    long countByExample(QchjcAccountingUnifiedSupplierEntityExample example);

    int deleteByExample(QchjcAccountingUnifiedSupplierEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcAccountingUnifiedSupplierEntity record);

    int insertSelective(QchjcAccountingUnifiedSupplierEntity record);

    List<QchjcAccountingUnifiedSupplierEntity> selectByExample(QchjcAccountingUnifiedSupplierEntityExample example);

    QchjcAccountingUnifiedSupplierEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcAccountingUnifiedSupplierEntity record, @Param("example") QchjcAccountingUnifiedSupplierEntityExample example);

    int updateByExample(@Param("record") QchjcAccountingUnifiedSupplierEntity record, @Param("example") QchjcAccountingUnifiedSupplierEntityExample example);

    int updateByPrimaryKeySelective(QchjcAccountingUnifiedSupplierEntity record);

    int updateByPrimaryKey(QchjcAccountingUnifiedSupplierEntity record);

    QchjcAccountingUnifiedSupplierVo getTodoList(@Param("id") Long id);

    QchjcAccountingUnifiedSupplierEntity selectByAccountingOrderSn(@Param("accountingOrderSn") String accountingOrderSn);

    List<QchjcAccountingUnifiedSupplierVo> queryQchjcCustomerStatementList(QchjcSupplierAccountingListRequest request);

    QchjcAccountingUnifiedSupplierVo queryQchjcSupplierStatementVoById(@Param("id") Long id);

    List<Long> getTodoIdList();
}